Bug 960212 - Broken ė in DejaVu Sans Bold and Italic
Summary: Broken ė in DejaVu Sans Bold and Italic
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dejavu-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 17:22 UTC by Mattias Ellert
Modified: 2014-02-21 13:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-21 13:56:30 UTC


Attachments (Terms of Use)
Screendump showing the letter ė in DejaVu Sans at various sizes (8.37 KB, image/png)
2013-05-06 17:22 UTC, Mattias Ellert
no flags Details
Other characters with dot above are broken in a similar way. The most common characters (i and j) are OK though. (9.52 KB, image/png)
2013-05-07 04:37 UTC, Mattias Ellert
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 36135 None None None Never

Description Mattias Ellert 2013-05-06 17:22:31 UTC
Created attachment 744278 [details]
Screendump showing the letter ė in DejaVu Sans at various sizes

Description of problem:

The letter ė is broken in DejaVu Sans on small sizes of the Italic font and the Bold font. The attachment shows a screendump of the letters ėĖ in sizes 8 9 10 11 12 13 14 15 and 16 in DejaVu Sans. The first row shows Regular, then Italic, than Bold and last Bold Italic.

Sizes 8-12 of the Bold font and 8-13 of the Italic font shows the dot above as a vertical line starting where the dot is supposed to be and ending at the baseline. Larger sizes look OK, as do all sizes of Regular and Bold Italic. The capital Ė looks OK everywhere.

Version-Release number of selected component (if applicable):

dejavu-sans-fonts-2.33-4.fc18.noarch

How reproducible:

Always. It is seen in multiple applications. The screenshot is done in Libre Office, but the same thing happens in e.g. firefox.

Comment 1 Mattias Ellert 2013-05-07 04:37:34 UTC
Created attachment 744468 [details]
Other characters with dot above are broken in a similar way. The most common characters (i and j) are OK though.

Comment 2 Fedora End Of Life 2013-12-21 13:25:00 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Sean Burke 2014-02-21 08:25:29 UTC
This was an issue with upstream DejaVu[1] due to a hinting error in 2.33. This should be resolved with the release of 2.34, which is available in Fedora 20. Does this issue still exist?

[1] https://bugs.freedesktop.org/show_bug.cgi?id=36135

Comment 4 Mattias Ellert 2014-02-21 11:07:40 UTC
The letters are displayed correctly in Fedora 20.

Comment 5 Rex Dieter 2014-02-21 13:56:30 UTC
closing per comment #4, thanks.


Note You need to log in before you can comment on or make changes to this bug.